//+------------------------------------------------------------------+
//|                                                           1f.mq4 |
//|                                                             lapa |
//|                                                            ya.ru |
//+------------------------------------------------------------------+
#property copyright "lapa"
#property link      "ya.ru"

/*    .
      
__1__      __2__       "LOTMM"
     ,       ,
       ,    .
*/
//--- input parameters
extern string __1__ = " ";
extern double         LOT=0.01;         //---   
extern int            TP=20;           //---    
extern int            SL=120;           //---    
extern int            kol=1;            //--- -  
extern int            slippage=3;       //---  
extern int            MG =111111;       //--- 

extern string __2__ = " ";
extern double         LOTMM=2;          //---    
extern int            ST=30;           //---      
extern int            TP1=40;          //---    
extern int            SL1=200;          //---   



//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
   //      
   if(OrdersTotal()<kol) //    
                                                   
     {
      if(Bid>Open[0])                                                                        //    
         OrderSend(Symbol(),OP_BUY,LOT,Ask,slippage,Bid-SL*Point,Bid+TP*Point,NULL,0,Blue);  // 
       if(Bid<Open[0])                                                                       //    
         OrderSend(Symbol(),OP_SELL,LOT,Bid,slippage,Bid+SL*Point,Bid-TP*Point,NULL,0,Blue); //    
     }
for(int i=OrdersTotal()-1;i>=0;i--)//----------------------------------------     
 {
  if(OrdersTotal()<2) // 
   {
    if(OrderType()>1) //-------------------------------------------------------------   - BUY STOP 
     {
     OrderSend(Symbol(),OP_BUYSTOP,LOTMM,
     NormalizeDouble(Ask+ST*Point,Digits),3,
     NormalizeDouble(Bid-SL1*Point,Digits),
     NormalizeDouble(Bid+TP1*Point,Digits),"JC",MG,0,Red);  
      }     
    if(OrderType()>0) //--------------------------------------------------------------   - SELL STOP
     {
     OrderSend(Symbol(),OP_SELLSTOP,LOTMM,
     NormalizeDouble(Ask-ST*Point,Digits),3,
     NormalizeDouble(Bid+SL1*Point,Digits),
     NormalizeDouble(Bid-TP1*Point,Digits),"JC",MG,0,Red);
      }
     }
    }
  return(0);
 }